Vivante libraries depends on Kernel version?

キャンセル
次の結果を表示 
表示  限定  | 次の代わりに検索 
もしかして: 

Vivante libraries depends on Kernel version?

ソリューションへジャンプ
902件の閲覧回数
easternblack
Contributor II

Hello.

Recently, I'm testing GPU on imx6qsabresd.

I already have custom Kernel tested on UDOO QUAD, which using i.mx6q. and that version is 3.14.28.

So I downloaded NXP Yocto SDK L.3.14.38_6ul-ga, and bitbaked packages in recipe-graphics and it worked very well. packages I used were imx-gpu-viv, xf86-video-imxfb-vivante, xserver-xorg.

After that, I wanna use higher version Xorg, so I updated NXP Yocto to 4.9.88, and did same things described above. but then, Xorg fails.

I tested another NXP Yocto layers which has another version, but only works on 3.14.38_6ul-ga packages.

So I have a question that does package in recipe-graphic follows Kernel's version? maybe galcore version exactly..

ラベル(4)
0 件の賞賛
1 解決策
852件の閲覧回数
gusarambula
NXP TechSupport
NXP TechSupport

Hello Long Ku,

The Vivante libraries do follow a specific kernel version as you may find on the BSP Release Notes. These libraries are tested for the specific kernel version, you may port them to other kernel versions but you would need to review dependencies and perform testing.

I hope this helps! 

Regards,

元の投稿で解決策を見る

0 件の賞賛
1 返信
853件の閲覧回数
gusarambula
NXP TechSupport
NXP TechSupport

Hello Long Ku,

The Vivante libraries do follow a specific kernel version as you may find on the BSP Release Notes. These libraries are tested for the specific kernel version, you may port them to other kernel versions but you would need to review dependencies and perform testing.

I hope this helps! 

Regards,

0 件の賞賛